libnl: Traffic Control

libnl 3.12.0

Traffic Control
Command Line Interface API

## Functions
void | nl_cli_tc_parse_dev (struct rtnl_tc *tc, struct nl_cache *link_cache, char *name)
void | nl_cli_tc_parse_parent (struct rtnl_tc *tc, char *arg)
void | nl_cli_tc_parse_handle (struct rtnl_tc *tc, char *arg, int create)
void | nl_cli_tc_parse_mtu (struct rtnl_tc *tc, char *arg)
void | nl_cli_tc_parse_mpu (struct rtnl_tc *tc, char *arg)
void | nl_cli_tc_parse_overhead (struct rtnl_tc *tc, char *arg)
void | nl_cli_tc_parse_kind (struct rtnl_tc *tc, char *arg)
void | nl_cli_tc_parse_linktype (struct rtnl_tc *tc, char *arg)
struct nl_cli_tc_module * | nl_cli_tc_lookup (struct rtnl_tc_ops *ops)
void | nl_cli_tc_register (struct nl_cli_tc_module *tm)
void | nl_cli_tc_unregister (struct nl_cli_tc_module *tm)

## Detailed Description

## Function Documentation

## ◆ nl_cli_tc_parse_dev()

void nl_cli_tc_parse_dev | ( | struct rtnl_tc * | tc,
|  | struct nl_cache * | link_cache,
|  | char * | name )

Definition at line 18 of file tc.c.

## ◆ nl_cli_tc_parse_parent()

void nl_cli_tc_parse_parent | ( | struct rtnl_tc * | tc,
|  | char * | arg )

Definition at line 30 of file tc.c.

## ◆ nl_cli_tc_parse_handle()

void nl_cli_tc_parse_handle | ( | struct rtnl_tc * | tc,
|  | char * | arg,
|  | int | create )

Definition at line 42 of file tc.c.

## ◆ nl_cli_tc_parse_mtu()

void nl_cli_tc_parse_mtu | ( | struct rtnl_tc * | tc,
|  | char * | arg )

Definition at line 61 of file tc.c.

## ◆ nl_cli_tc_parse_mpu()

void nl_cli_tc_parse_mpu | ( | struct rtnl_tc * | tc,
|  | char * | arg )

Definition at line 66 of file tc.c.

## ◆ nl_cli_tc_parse_overhead()

void nl_cli_tc_parse_overhead | ( | struct rtnl_tc * | tc,
|  | char * | arg )

Definition at line 71 of file tc.c.

## ◆ nl_cli_tc_parse_kind()

void nl_cli_tc_parse_kind | ( | struct rtnl_tc * | tc,
|  | char * | arg )

Definition at line 76 of file tc.c.

## ◆ nl_cli_tc_parse_linktype()

void nl_cli_tc_parse_linktype | ( | struct rtnl_tc * | tc,
|  | char * | arg )

Definition at line 81 of file tc.c.

## ◆ nl_cli_tc_lookup()

struct nl_cli_tc_module * nl_cli_tc_lookup | ( | struct rtnl_tc_ops * | ops | ) |

Definition at line 105 of file tc.c.

## ◆ nl_cli_tc_register()

void nl_cli_tc_register | ( | struct nl_cli_tc_module * | tm | ) |

Definition at line 137 of file tc.c.

## ◆ nl_cli_tc_unregister()

void nl_cli_tc_unregister | ( | struct nl_cli_tc_module * | tm | ) |

Definition at line 156 of file tc.c.